post
https://ws.api.video/webhooks
Webhooks can push notifications to your server, rather than polling api.video for changes. We currently offer four events:
video.encoding.quality.completedOccurs when a new video is uploaded into your account, it will be encoded into several different HLS and mp4 qualities. When each version is encoded, your webhook will get a notification. It will look like{ "type": "video.encoding.quality.completed", "emittedAt": "2021-01-29T16:46:25.217+01:00", "videoId": "viXXXXXXXX", "encoding": "hls", "quality": "720p"}. This request says that the 720p HLS encoding was completed.live-stream.broadcast.startedWhen a live stream begins broadcasting, the broadcasting parameter changes from false to true, and this webhook fires.live-stream.broadcast.endedThis event fires when a live stream has finished broadcasting.video.source.recordedThis event occurs when a live stream is recorded and submitted for encoding.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
*Retry policy: Our webhook service makes 3 attempts with 3sec interval between each one.